Bug 26179 - Remove redundant import of Google font
Summary: Remove redundant import of Google font
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Timothy Alexis Vass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-07 12:57 UTC by Timothy Alexis Vass
Modified: 2020-08-18 02:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Removed redundant @import of google font (1.84 KB, patch)
2020-08-07 13:00 UTC, Timothy Alexis Vass
Details | Diff | Splinter Review
Bug 26179: Remove redundant import of Google font (1.89 KB, patch)
2020-08-07 17:02 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26179: Remove redundant import of Google font (2.00 KB, patch)
2020-08-10 17:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Alexis Vass 2020-08-07 12:57:19 UTC
Remove from koha-tmpl/opac-tmpl/bootstrap/css/bootstrap-theme-oai.css:
@import url("//fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,400italic");
Comment 1 Timothy Alexis Vass 2020-08-07 13:00:14 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2020-08-07 17:02:42 UTC
Created attachment 107969 [details] [review]
Bug 26179: Remove redundant import of Google font

Removed redundant @import of google font

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2020-08-10 17:22:34 UTC
Created attachment 108010 [details] [review]
Bug 26179: Remove redundant import of Google font

Removed redundant @import of google font

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=26170
Comment 4 Jonathan Druart 2020-08-12 10:09:02 UTC
I don't understand, can you explain what we are doing here?
Comment 5 Timothy Alexis Vass 2020-08-12 12:27:44 UTC
12:30 	TimothyAlexis 	In bootstrap-theme.oai.css we found this and we are wondering... why? @import url("//fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,400italic");

12:30 	TimothyAlexis 	body {
12:30 		font-family: "Source Sans Pro", "Helvetica Neue", Helvetica, Arial, sans-serif;
12:32 		Only place I've found this stylesheet being used is in: koha-tmpl/opac-tmpl/xslt/OAI.xslt

12:48 	tcohen 	TimothyAlexis that's because I borrowed the XSLT from DSpace and didn't notice that


Simply removing the @import and "Source Sans Pro".
Comment 6 Jonathan Druart 2020-08-13 05:58:11 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Jonathan Druart 2020-08-13 06:03:41 UTC
This is your first patch pushed, Timothy, congrats! :)
Comment 8 Lucas Gass 2020-08-17 14:54:35 UTC
backported to 20.05.x for 20.05.03
Comment 9 Aleisha Amohia 2020-08-18 02:15:36 UTC
enhancement, not backported to 19.11.x